// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPluginCore",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPluginCore", targets: ["WebIdPluginCoreWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .upToNextMinor(from: "20.0.0")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "12.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdPluginCore/20.0.0/WebIdPluginCore.framework-v20.0.0.zip",
            checksum: "eb0f887b323e0e711b390fe2a5358e78cf044f3f4ab33b3dc00ee7959a14c833"
        ),
        .target(
            name: "WebIdPluginCoreWrapper",
            dependencies: [
                .target(name: "WebIdPluginCore"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
